Beyond Inventor Wizard... The Community!

Autodesk Inventor en AutoCAD Forum

Hoi,

Heeft iemand een idee hoe je de verwijzing naar een "part" in de parameter-table kunt wijzigen.

Ik wil dus eigenlijk gaan verwijzen naar een ander part dan er nu in staat.

Als je dit doet dmv linken en niet embedden dan kun je met "Change source" een andere file selecteren.

Dit is echter niet mogelijk met en "part verwijzing".

 

Ik ben al op zoek geweest om dit met VBA te doen maar daar heb ik tot op heden geen mogelijkheid gevonden.

 

Zie ook attachment.

 

Kan iemand me (op weg) helpen.

 

Groeten,

 

Arthur

Aantal maal bekeken: 320

Bijlagen:

Hierop reageren

Berichten in deze discussie

Zolang 1 parameter gebruik maakt ervan, zal je die niet kunnen verwijderen.

Hoi,

Je kunt hem wel verwijderen maar dan worden alle parameters die gelinked waren zogenaamde "User Parameters". Maar dat is het probleem ook niet.

Het probleem is echter dat ik nergens een mogelijkheid vindt om het gelinkte part te wijzigen naar een ander. Dus eigenlijk de "Path naam" wijzigen.

Voorbeeld:

de path naam is nu:

C:\Vault\Projects\11\111\11115\11115C\11115C-P001\11115C-P001-P005-000.ipt

dese wil ik verenderen naar:

C:\Vault\Projects\11\111\11115\11115C\11116C-P001\11116C-P999-P999-000.ipt

 

Hoe kan ik dat doen.

Iemand een idee hoe je dit met VBA kunt doen?

 

Groetjes,

Arthur

Arthur, 

Ik had je vraag verkeerd begrepen en doelde op excel.

Wat je kunt doen  is uw reference part hernoemen of kopiëren en bewerken, wanneer je dan je master part opent is hij de link kwijt met het reference part en kan je de kopie gaan aanwijzen.

Let wel op dat dit niet werkt met onderdelen die je niet aangemaakt hebt met save as of save copy as of een manuele copy via windows verkenner

En dat de naam van het origineel onderdeel niet meer aanwezig mag zijn.

Inventor kan een onderdeel herkennen aan een intern nummer die in het onderdeel zit.

Matched die niet dan kan je je onderdeel niet gebruiken om te resolven.

Ik vermoed dat dit met vault wat ellende kan opleveren, aangezien ik vermoed dat hij de master een update zal geven... ik kan hierin wel mis zijn.

Oja, vergeet vba, als het manueel niet werkt zal dat ook niet werken :-)

Hoi,

 

De methode die je beschrijft werkt idd, precies zoals je zegt zit er een intern nummer in het part dat niet meer werkt als je dit fout aanpakt. Dit is dan ook het probleem. Beschrijf dit maar  eens in een bedrijfs-proces. (Maak het idiot-proof) begrijp je. Vandaar dat ik op zoek ben naar een routine (vba .net) om dit te vergemakijken.

Maar:

Ik heb eens gezocht en ik kwam uit bij de "design assistent". Hier heb je "wel" de mogelijkheid om het pad te veranderen. Zou het dan toch mogelijk zijn dit te programeren met VBA of zo??

Groet,

 

Arthur

Als het mogelijk is via design assistant (wist ik niet) dan moet je de afgeslankte versie gebruiken van inventor dit heet de apprentice server. Je kan deze echter niet aanspreken vanuit inventor vba, maar wel vanuit bvb vb.net of excel vba

Tja dat kan je maar weten eens je het nodig gehad hebt zo'n dingen.

Hierin legt brian in het lang en breed uit hoe dit werkt (maar nog niet compleet)

http://modthemachine.typepad.com/my_weblog/2008/11/understanding-fi...

Hier heb je een voorbeeld hoe je met apprentice server kunt werken

http://www.autodesk.com/us/community/mfg/Part_3.pdf

http://www.autodesk.com/us/community/mfg/Part_4.pdf

En hier een snippet hoe je in een drwing het referenced assembly kunt wijzigen, ik vermoed dat je dit wel kunt omzetten naar een part met een link.

Let op, deze zal waarschijnlijk zoals hieronder niet werken

Sub Assemble_Profile()

 

Dim oAsmCompDef As AssemblyComponentDefinition

Set oAsmCompDef = ThisApplication.ActiveDocument.ComponentDefinition

 

ThisApplication.SilentOperation = True

Call ThisApplication.Documents.Open(IdwName, True)

 

Dim oRefFileDesc As ReferencedFileDescriptor

For Each oRefFileDesc In ThisApplication.ActiveDocument.ReferencedFileDescriptors

    Call oRefFileDesc.PutLogicalFileNameUsingFull(NewIamName)

Next

Call ThisApplication.ActiveDocument.Close(False)

Call ThisApplication.Documents.Open(NewIamName, True)

Call ThisApplication.ActiveDocument.Close(False)

ThisApplication.SilentOperation = False

End Sub

Hoi,

Het is gelukt dmv (VBA).

Hier hebben we dan ook een routine voor geschreven.

 

Via een file dialoog selecteer je een ander part (meer of minder is het niet).

Routine Wisselt de ReferencedTable met een ander Part.

 

Misschien een idee voor het "Macro Lab"!!

Laat maar weten of dit iets is voor het Lab.

 

Groetjes

Arthur

 

Uiteraard!

PM je het naar Fréderic? Dan voegt hij het wel toe...

RSS

Interessante links

Word Fan!

Inventor Wizard Cartoons

Video's

  • Video's toevoegen
  • Alles weergeven

© 2019   Gemaakt door Stefaan Boel.   Verzorgd door

Banners  |  Een probleem rapporteren?  |  Algemene voorwaarden